/* *************************************************************************
 *   Copyright (C) 2008 by Szymon Kulis (szymon.kulis@gmail.com)           *
 *                         http://freshlab.org/                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 *                                                                         *
 *   Name         :  lcd_conf.h                                            *
 *   Description  :  This is a software driver for the graphic LCD with    * 
 *                   s1d10605 hardware driver.                             *
 *   Author       :  Szymon Kulis                                          *
 *   Remark       :  this work mostly is based on Nokia LCD Library        *
 *                   published by Sylvain Bissonnette on his webpage       *
 *                   (http://www.microsyl.com/)                            *
 *   History      :  2003-02-08 - First release                            * 
 *                                                                         *
 ************************************************************************* */


#ifndef _LCD_H_
#define _LCD_H_

//------------------------------------------------------------------------------
//                      I/O   Configuration
//------------------------------------------------------------------------------

#define RES_PIN   PD4
#define CS_PIN    PD5
#define DC_PIN    PD6
#define SCL_PIN   PD7
#define SDAT_PIN  PC3

#define RES_PORT  PORTD
#define CS_PORT   PORTD
#define DC_PORT   PORTD
#define SCL_PORT  PORTD
#define SDAT_PORT PORTC

#define RES_DDR   DDRD
#define CS_DDR    DDRD
#define DC_DDR    DDRD
#define SCL_DDR   DDRD
#define SDAT_DDR  DDRC

//------------------------------------------------------------------------------
//                        General purpose constants
//------------------------------------------------------------------------------

#define LCD_X_RES       132
#define LCD_Y_RES       48
#define LCD_CACHE_SIZE  ((LCD_X_RES * LCD_Y_RES) / 8)

#endif
